spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Public Types | Public Member Functions | Public Attributes | Friends | List of all members
spot::acc_cond::mark_t Struct Reference
Collaboration diagram for spot::acc_cond::mark_t:

## Public Types
typedef unsigned | value_t

## Public Member Functions
| mark_t (value_t id) noexcept
template<class iterator >
| mark_t (const iterator &begin, const iterator &end) noexcept
| mark_t (std::initializer_list< unsigned > vals) noexcept
bool | operator== (unsigned o) const
bool | operator!= (unsigned o) const
bool | operator== (mark_t o) const
bool | operator!= (mark_t o) const
bool | operator< (mark_t o) const
bool | operator<= (mark_t o) const
bool | operator> (mark_t o) const
bool | operator>= (mark_t o) const
| operator bool () const
bool | has (unsigned u) const
void | set (unsigned u)
void | clear (unsigned u)
mark_t & | operator&= (mark_t r)
mark_t & | operator|= (mark_t r)
mark_t & | operator-= (mark_t r)
mark_t & | operator^= (mark_t r)
mark_t | operator& (mark_t r) const
mark_t | operator| (mark_t r) const
mark_t | operator- (mark_t r) const
mark_t | operator~ () const
mark_t | operator^ (mark_t r) const
mark_t | operator<< (unsigned i) const
mark_t & | operator<<= (unsigned i)
mark_t | operator>> (unsigned i) const
mark_t & | operator>>= (unsigned i)
mark_t | strip (mark_t y) const
unsigned | count () const
unsigned | max_set () const
mark_t | lowest () const
mark_t & | remove_some (unsigned n)
template<class iterator >
void | fill (iterator here) const
std::vector< unsigned > | sets () const

## Public Attributes
value_t | id

## Friends
std::ostream & | operator<< (std::ostream &os, mark_t m)

The documentation for this struct was generated from the following file:

- spot/twa/acc.hh

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.